View Issue Details

IDProjectCategoryView StatusLast Update
0003514FreeCADBugpublic2018-09-12 17:02
ReporterPaulo_Marini Assigned Towmayer  
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04 LTS
Product Version0.17 
Target VersionFixed in Version0.18 
Summary0003514: Program crashes when user try to add (by mistake) the origin to a group
DescriptionWhile organising the model tree I've inadvertently added the origin to a group and the program crashes by freezing or completely closing down.
Steps To ReproduceCreate a new document at the part design/sketcher
Create a sketch and some part design functions on top of it
Create a group
Add some of the functions and the origin to the new group
Crash or freeze happens
TagsNo tags attached.
FreeCAD Information

Activities

Kunda1

2018-06-17 11:05

administrator   ~0011447

Please test also test on 0.18dev appImage https://github.com/FreeCAD/FreeCAD/releases/tag/0.18_pre
Also please familiarize yourself with FC's guidelines for reporting bugs (in the enormous yellow banner at the top of every page in our Bugtracker)

Kunda1

2018-06-25 13:07

administrator   ~0011471

@Paulo_Marini ping

Kunda1

2018-07-12 12:33

administrator   ~0011520

@Paulo_Marini ping
Please add you version info (Help > About FreeCAD > Copy to clipboard)

@chrisb please weigh in

Paulo_Marini

2018-07-13 07:13

reporter   ~0011525

OS: Ubuntu 16.04.4 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.13522 (Git)
Build type: None
Branch: releases/FreeCAD-0-17
Hash: 3bb5ff4e70c0c526f2d9dd69b1004155b2f527f2
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.2.0
Locale: English/UnitedKingdom (en_GB)

Kunda1

2018-07-13 22:35

administrator   ~0011526

Last edited: 2018-07-13 22:35

View 2 revisions

@chrisb is this a toponaming issue ?

wmayer

2018-09-12 17:02

administrator   ~0011722

https://github.com/FreeCAD/FreeCAD/commit/5c40496cf3b5939b96a0179eec1918754378aeaf

Issue History

Date Modified Username Field Change
2018-06-17 10:59 Paulo_Marini New Issue
2018-06-17 11:05 Kunda1 Status new => feedback
2018-06-17 11:05 Kunda1 Note Added: 0011447
2018-06-25 13:07 Kunda1 Note Added: 0011471
2018-07-12 12:33 Kunda1 Note Added: 0011520
2018-07-13 07:13 Paulo_Marini Note Added: 0011525
2018-07-13 07:13 Paulo_Marini Status feedback => new
2018-07-13 22:35 Kunda1 Note Added: 0011526
2018-07-13 22:35 Kunda1 Note Edited: 0011526 View Revisions
2018-09-12 17:02 wmayer Assigned To => wmayer
2018-09-12 17:02 wmayer Status new => closed
2018-09-12 17:02 wmayer Resolution open => fixed
2018-09-12 17:02 wmayer Fixed in Version => 0.18
2018-09-12 17:02 wmayer Note Added: 0011722